Subject: Re: [net-next PATCH v5 1/4] net: hsr: Provide RedBox support (HSR-SAN)

From: Lukasz Majewski <[email-masked]>
Date: Mon, 29 Apr 2024 11:32:17 +0200

Hi Casper,

> >
> > Hmm... I'm wondering how "proxy" is implemented then.
> > Also, what is the purpose of ProxyNodeTable in that case?  
> 
> The ProxyNodeTable becomes the same as the MAC table for the interlink
> port. I.e. normal MAC learning, when a frame is sent by a SAN and
> received on interlink the HW learns that that SMAC is on the interlink
> port (until it ages out). 

+1

> This table can be read out and used for
> supervision frames.
> 

I've go through the standard again and it looks like it is mandatory
for RedBox to send supervisory frames with MAC addresses from
ProxyNodeTable as its payload. Moreover, the RedBox MAC address shall
be also send as the second (i.e. following) payload in this frame.

The current RedBox (from net-next) needs to be extended to support it
 - I've started working on this.

> Though, the NodesTable I don't think is used in HW. As I understand
> it's an optional feature.

+1

Best regards,

Lukasz Majewski

--

DENX Software Engineering GmbH,      Managing Director: Erika Unter
HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: (+49)-8142-66989-59 Fax: (+49)-8142-66989-80 Email: [email-masked]